summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/john/README22
-rw-r--r--system/john/john-1.7.3.1-all-2.diff.gzbin0 -> 90500 bytes
-rw-r--r--system/john/john-1.7.3.1-all-2.diff.gz.asc7
-rw-r--r--system/john/john-1.7.3.1-mpi8-small.patch.gzbin0 -> 9395 bytes
-rw-r--r--system/john/john-1.7.3.1-mpi8-small.patch.gz.asc7
-rw-r--r--system/john/john.SlackBuild82
-rw-r--r--system/john/john.info8
-rw-r--r--system/john/slack-desc12
8 files changed, 138 insertions, 0 deletions
diff --git a/system/john/README b/system/john/README
new file mode 100644
index 0000000000..01863b67ca
--- /dev/null
+++ b/system/john/README
@@ -0,0 +1,22 @@
+John the Ripper is a fast password cracker, currently available for many
+flavors of Unix (11 are officially supported, not counting different
+architectures), Windows, DOS, BeOS, and OpenVMS. Its primary purpose is to
+detect weak Unix passwords. Besides several crypt(3) password hash types
+most commonly found on various Unix flavors, supported out of the box are
+Kerberos AFS and Windows NT/2000/XP/2003 LM hashes, plus several more with
+contributed patches.
+
+SlackBuild contain updated version of Ryan Lim's patch for john the
+ripper to support MPI. MPI allows you to use multiple processors on a
+single system, or a cluster of systems for cracking passwords using
+john the ripper. You need in this case OpenMPI, also available from
+the SlackBuilds.org repository. But the author of the program does not
+recommend use any hacks for parallel processing (see in the bottom of page
+http://www.openwall.com/lists/john-users/2005/08/24/4). Use it at own risk!
+
+Slackbuild contain also jambo patch. The jumbo patch enables processing
+of many password hash types and ciphers that are not supported by the
+official JtR. Both patches are disabled by default.
+
+Note this will not build in parallel, set MAKEFLAGS="-j1" if you have
+problems. \ No newline at end of file
diff --git a/system/john/john-1.7.3.1-all-2.diff.gz b/system/john/john-1.7.3.1-all-2.diff.gz
new file mode 100644
index 0000000000..3307502ab0
--- /dev/null
+++ b/system/john/john-1.7.3.1-all-2.diff.gz
Binary files differ
diff --git a/system/john/john-1.7.3.1-all-2.diff.gz.asc b/system/john/john-1.7.3.1-all-2.diff.gz.asc
new file mode 100644
index 0000000000..a6748cb75c
--- /dev/null
+++ b/system/john/john-1.7.3.1-all-2.diff.gz.asc
@@ -0,0 +1,7 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.9 (GNU/Linux)
+
+iEYEABECAAYFAkj7xF0ACgkQA2jvV5x7o7bWygCfZDMhpZ1PIA7Xlnqak8Q6yoAA
+HfwAniR59z5W8qHDAVzjLkP0AU6HxWm3
+=iXD8
+-----END PGP SIGNATURE-----
diff --git a/system/john/john-1.7.3.1-mpi8-small.patch.gz b/system/john/john-1.7.3.1-mpi8-small.patch.gz
new file mode 100644
index 0000000000..54eee34acb
--- /dev/null
+++ b/system/john/john-1.7.3.1-mpi8-small.patch.gz
Binary files differ
diff --git a/system/john/john-1.7.3.1-mpi8-small.patch.gz.asc b/system/john/john-1.7.3.1-mpi8-small.patch.gz.asc
new file mode 100644
index 0000000000..a79d3426ee
--- /dev/null
+++ b/system/john/john-1.7.3.1-mpi8-small.patch.gz.asc
@@ -0,0 +1,7 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.9 (GNU/Linux)
+
+iEYEABECAAYFAkj7xF0ACgkQA2jvV5x7o7bn/QCgtOOiZKPOjYaplImpzI5+OVNQ
+g/EAn0A5a80Z71EHSQ/tCpzbQ+0Ug9cc
+=zKGa
+-----END PGP SIGNATURE-----
diff --git a/system/john/john.SlackBuild b/system/john/john.SlackBuild
new file mode 100644
index 0000000000..57fcccd556
--- /dev/null
+++ b/system/john/john.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for John the Ripper
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+
+PRGNAM=john
+VERSION=${VERSION:-1.7.3.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ COMPILE="make clean linux-x86-any"
+elif [ "$ARCH" = "i686" ]; then
+ COMPILE="make clean linux-x86-sse2"
+elif [ "$ARCH" = "x86_64" ]; then
+ COMPILE="make clean linux-x86-64"
+elif [ "$ARCH" = "athlonxp" ]; then
+ COMPILE="make clean linux-x86-mmx"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# DON'T APPLY BOTH PATHES AT THE SAME TIME !!
+
+# Patch for John the Ripper to support MPI. MPI allows you to use multiple processors
+# on a single system, or a cluster of systems for cracking passwords.
+#zcat $CWD/john-1.7.3.1-mpi8-small.patch.gz | patch -p1 || exit 1
+
+# The jumbo patch enables processing of many password hash types
+# and ciphers that are not supported by the official JtR.
+#zcat $CWD/john-1.7.3.1-all-2.diff.gz | patch -p1 || exit 1
+
+( cd src
+ $COMPILE
+)
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/lib/$PRGNAM
+cp -a $TMP/$PRGNAM-$VERSION/run/* $PKG/usr/lib/$PRGNAM
+
+# wrapper
+cat << "EOF" > $PKG/usr/bin/john
+#!/bin/bash
+# John The Ripper launcher
+/usr/lib/john/john $@
+EOF
+chmod +x $PKG/usr/bin/john
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/john/john.info b/system/john/john.info
new file mode 100644
index 0000000000..883d1b5440
--- /dev/null
+++ b/system/john/john.info
@@ -0,0 +1,8 @@
+PRGNAM="john"
+VERSION="1.7.3.1"
+HOMEPAGE="http://www.openwall.com/john/"
+DOWNLOAD="http://www.openwall.com/john/g/john-1.7.3.1.tar.bz2"
+MD5SUM="4a8de450ff332bd0c7cbc573eb5032d9"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="dsomero"
diff --git a/system/john/slack-desc b/system/john/slack-desc
new file mode 100644
index 0000000000..e1e7e6e4d7
--- /dev/null
+++ b/system/john/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+john: John the Ripper (Password cracker)
+john:
+john: John the Ripper is a fast password cracker, currently available for
+john: many flavors of Unix (11 are officially supported, not counting
+john: different architectures), DOS, Win32, BeOS, and OpenVMS. Its primary
+john: purpose is to detect weak Unix passwords. Besides several crypt(3)
+john: password hash types most commonly found on various Unix flavors
+john: supported out of the box are Kerberos AFS.
+john:
+john:
+john: